Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfWrapInfluenceOnPositionType

    java.lang.Object
      java.lang.Enum<OdfWrapInfluenceOnPositionType>
          org.odftoolkit.odfdom.dom.type.draw.OdfWrapInfluenceOnPositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfWrapInfluenceOnPositionType>

    public enum OdfWrapInfluenceOnPositionType

extends Enum<OdfWrapInfluenceOnPositionType>

DOM implementation of OpenDocument attribute draw:wrap-influence-on-position.

Enum Constant Summary
`ITERATIVE`
`ONCE_CONCURRENT`
`ONCE_SUCCESSIVE`

Method Summary
`static OdfWrapInfluenceOnPositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfWrapInfluenceOnPositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfWrapInfluenceOnPositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfWrapInfluenceOnPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ITERATIVE

    public static final OdfWrapInfluenceOnPositionType ITERATIVE

### ONCE_CONCURRENT

    public static final OdfWrapInfluenceOnPositionType ONCE_CONCURRENT

### ONCE_SUCCESSIVE

    public static final OdfWrapInfluenceOnPositionType ONCE_SUCCESSIVE

Method Detail

### values

    public static OdfWrapInfluenceOnPositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfWrapInfluenceOnPositionType c : OdfWrapInfluenceOnPositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfWrapInfluenceOnPositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfWrapInfluenceOnPositionType>`
  Returns:
    return the name of OdfWrapInfluenceOnPositionType

### toString

    public static String toString(OdfWrapInfluenceOnPositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfWrapInfluenceOnPositionType, see draw:wrap-influence-on-position
  Returns:
    return the name of OdfWrapInfluenceOnPositionType

### enumValueOf

    public static OdfWrapInfluenceOnPositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfWrapInfluenceOnPositionType
  Returns:
    return the constant of OdfWrapInfluenceOnPositionType, see draw:wrap-influence-on-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.